> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 일별 API 사용량

> 지정한 기간 동안 워크스페이스의 일별 API 요청 수와 크레딧 소비량을 조회합니다. 응답에는 일별 집계 시계열과 엔드포인트별 누적 데이터가 포함되어 사용량 차트 구성에 활용할 수 있습니다.



## OpenAPI

````yaml ko-openapi POST /api_keys/usage/daily
openapi: 3.0.0
info:
  description: >-
    Pubrio API는 연락처와 계정 정보를 검색, 미리보기, 그리고 보강하는 데 사용됩니다. Pubrio 데이터베이스는 풍부한 B2B
    연락처 및 영업 인텔리전스 데이터를 제공합니다.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ko/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ko/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 워크스페이스 프로필 정보 및 사용량 통계
  - name: Enrichment
    description: 상세한 B2B 데이터로 인물 및 기업 레코드를 보강
  - name: Lookalike
    description: 지정된 기업과 유사한 기업 검색
  - name: Search
    description: 필터를 사용하여 인물, 기업, 채용, 뉴스 및 광고 검색
  - name: Lookup
    description: 특정 인물, 기업, 채용, 뉴스, 광고 및 기술의 상세 정보 조회
  - name: LinkedIn
    description: LinkedIn 프로필 URL을 통한 인물 및 기업 데이터 조회
  - name: Redeem
    description: 크레딧을 사용하여 인물 연락처 정보 잠금 해제 (단건 및 배치)
  - name: Channels
    description: 아웃리치 채널 템플릿 관리 (생성, 수정, 삭제, 목록)
  - name: Monitor
    description: 웹훅, 통계 및 처리를 포함한 데이터 모니터 생성 및 관리
  - name: Filters
    description: 검색 매개변수에 사용 가능한 필터 값 조회 (기술, 지역, 버티컬 등)
  - name: API Keys
    description: API 키의 요청 로그 및 사용량 분석 조회
externalDocs:
  description: >-
    Pubrio API는 연락처와 계정 정보를 검색, 미리보기, 그리고 보강하는 데 사용됩니다. Pubrio 데이터베이스는 풍부한 B2B
    연락처 및 영업 인텔리전스 데이터를 제공합니다.
  url: https://docs.pubrio.com
paths:
  /api_keys/usage/daily:
    post:
      tags:
        - API Keys
      summary: API 일별 사용량 시계열 조회
      description: >-
        지정한 기간 동안 워크스페이스의 일별 API 요청 수와 크레딧 소비량을 조회합니다. 응답에는 일별 집계 시계열과 엔드포인트별 누적
        데이터가 포함되어 사용량 차트 구성에 활용할 수 있습니다.
      operationId: api_keys_get_usage_daily
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - start_date
                - end_date
              properties:
                profile_id:
                  $ref: '#/components/schemas/profile_id'
                start_date:
                  type: string
                  example: '2026-05-01'
                  description: 기간 시작일. `YYYY-MM-DD` 형식이며 워크스페이스 시간대 기준입니다.
                end_date:
                  type: string
                  example: '2026-05-14'
                  description: 기간 종료일. `YYYY-MM-DD` 형식이며 워크스페이스 시간대 기준입니다.
                keys:
                  type: array
                  items:
                    type: string
                  description: >-
                    선택 사항. 마스킹된 API 키 식별자(예: `0••••••••••••••••f39`)로 결과를
                    필터링합니다. `/api_keys` 엔드포인트 응답이나 로그 항목의
                    `masked_authentication` 필드 값을 지정할 수 있습니다.
                log_type_slugs:
                  type: array
                  items:
                    type: string
                  description: >-
                    선택 사항. 로그 타입 슬러그(예: `people_search`, `company_search`,
                    `people_redeem`)로 결과를 필터링하여 특정 엔드포인트로 제한합니다.
      responses:
        '200':
          description: 일별 사용량 시계열을 반환하는 성공 응답.
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      filters:
                        type: object
                        description: 이 응답을 생성하는 데 사용된 요청 필터의 반환값(빈 값은 제거됨).
                        additionalProperties: true
                  data:
                    type: object
                    properties:
                      series:
                        type: array
                        description: 모든 엔드포인트의 일별 합계. 날짜 오름차순 정렬.
                        items:
                          type: object
                          properties:
                            date:
                              type: string
                              description: 날짜. `YYYY-MM-DD` 형식.
                            credits:
                              type: number
                              description: 해당 날짜에 소비된 크레딧.
                            requests:
                              type: integer
                              description: 해당 날짜의 API 요청 수.
                      by_log_type:
                        type: array
                        description: 엔드포인트별 누적 시리즈. 크레딧, 요청 수 순으로 내림차순 정렬.
                        items:
                          type: object
                          properties:
                            slug:
                              type: string
                              description: >-
                                로그 타입 슬러그. `__unknown__`은 청구 대상 로그 타입에 매핑되지 않은
                                요청을 의미합니다.
                            name:
                              type: string
                              description: 사람이 읽을 수 있는 로그 타입 이름.
                            totals:
                              type: object
                              properties:
                                credits:
                                  type: number
                                requests:
                                  type: integer
                            series:
                              type: array
                              items:
                                type: object
                                properties:
                                  date:
                                    type: string
                                  credits:
                                    type: number
                                  requests:
                                    type: integer
                      totals:
                        type: object
                        properties:
                          credits:
                            type: number
                          requests:
                            type: integer
              example:
                metadata:
                  filters:
                    start_date: '2026-05-01'
                    end_date: '2026-05-14'
                data:
                  series:
                    - date: '2026-05-01'
                      credits: 26352
                      requests: 2827
                    - date: '2026-05-05'
                      credits: 798
                      requests: 402
                    - date: '2026-05-11'
                      credits: 187
                      requests: 187
                  by_log_type:
                    - slug: people_redeem
                      name: Redeem People
                      totals:
                        credits: 40835
                        requests: 4083
                      series:
                        - date: '2026-05-01'
                          credits: 26140
                          requests: 2614
                        - date: '2026-05-11'
                          credits: 185
                          requests: 15
                    - slug: people_search
                      name: People Search
                      totals:
                        credits: 633
                        requests: 212
                      series:
                        - date: '2026-05-05'
                          credits: 594
                          requests: 199
                  totals:
                    credits: 41892
                    requests: 4896
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    profile_id:
      type: integer
      description: >-
        선택 사항. 요청을 수행하는 팀 식별자입니다. API 키에 이미 워크스페이스 정보가 포함되어 있으므로 이 매개변수는 더 이상
        필수가 아닙니다. 제공되면 조회 및 사용 크레딧 추적을 위해 특정 팀(작업 공간)과 연계됩니다.


        자세한 내용은 팀 탭의 `user details` 엔드포인트를 참고하세요.
  responses:
    general_error:
      description: 잘못된 요청. 요청 형식이 올바르지 않거나 잘못된 매개변수가 포함되어 있습니다. 오류 코드와 메시지를 확인하세요.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 오류 코드 및 메시지는 상황에 따라 다를 수 있습니다. 자세한 내용은 문서를 참조하세요.
                type: string
              details:
                type: object
    rate_limit_error:
      description: 요청 속도 제한 초과. 주어진 시간 내에 너무 많은 요청이 전송되었습니다. 속도 제한 창이 재설정된 후 다시 시도하세요.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 요청 빈도가 제한을 초과했습니다. 잠시 후 다시 시도해주세요.
                type: string
    server_error:
      description: 내부 서버 오류. 서버에서 예기치 않은 오류가 발생했습니다. 오류가 지속되면 지원팀에 문의하세요.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 요청을 처리하는 중 서버에서 예기치 않은 오류가 발생했습니다
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API에서 수행하는 작업 및 해당 권한을 식별하는 고유한 API 토큰입니다. 이 토큰은
        [설정](https://dashboard.pubrio.com/#/settings/) 섹션에서 생성할 수 있습니다.
      in: header

````